Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 02 Sep 2022 16:26:18 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi there…

I’ve ordered a couple of things a couple of days ago.
My shipment was supposed to delivered yesterday but it didn’t happen and I received a message yesterday in the night saying that “we’re unable to deliver your shipment because of incomplete address and will be delivered tomorrow”

First of all I mentioned building name, street name, area name in my address I failed to understand how come it’s an incomplete address. Though it’s an incomplete address I added mobile number you can call me I would have shared my location.

Secondly my shipment has to be delivered today as per the message I received last night but still no call and no update on it. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4816056